<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
//Este controlador manda a traer las acciones para que muestre ls módulos que tiene permitido el usuario 
class Administrador extends CI_Controller {
	
	//Constructor que manda a traer la libreria de sesion y url
	public function __construct() {
		parent::__construct();
		$this->load->library(array('session'));
		$this->load->model('acceso/Acceso_model');
		$this->load->helper(array('url'));
	}
	
	//Funcion que manda a traer la vista principal de Administrador y muestra el nombre del usuario logueado
	public function index()
	{
		$this->load->view('layout/header');
		$this->load->view('layout/menuAdmin'); 
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '2'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		}else{
			
			$Usuario= $this->session->all_userdata('Usuario');
			$promos=$this->Acceso_model->Promociones();
			$this->load->view('acceso/admin_view');
		}
		$this->load->view('layout/footer');
	}

}